* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  width: 100vw;
  height: 100vh;

  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: #121212;
  background: linear-gradient(
    135deg,
    #121212 25%,
    #1a1a1a 25%,
    #1a1a1a 50%,
    #121212 50%,
    #121212 75%,
    #1a1a1a 75%,
    #1a1a1a
  );
  background-size: 40px 40px;
  animation: move 4s linear infinite;
}

@keyframes move {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 40px 40px;
  }
}

#title_container {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 60px;
  padding-top: 10%;
  background-color: transparent;
}
#title_inner_container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: transparent;
  border-radius: 200px;
}
#title {
  display: inline-block;
  color: #fff;
  font-size: 100px;
  letter-spacing: 2px;
  font-family: fantasy;
  user-select: none;
}

#join_container {
  width: 100%;
  background-color: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  float: left;
}
#join_inner_container {
  width: 80%;
  height: 100%;
  background-color: transparent;
}
#join_input_container {
  width: 100%;

  height: 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  float: left;
}
#join_input {
  background-color: #383838;
  border: 1ex solid none;
  border-top-width: 1.7em;
  margin: 0;
  padding: 0;
  color: #383838;
  word-wrap: break-word;
  outline: 7px solid #383838;
  width: 30%;
  max-width: 50vw;
  height: 30px;
  font-size: 17px;
  text-align: center;
  transition: all 1s;
  font-weight: bold;
  font-family: "Courier New", Courier, monospace;
}

#join_input:hover {
  border-top-width: 0.2em;
  background-color: #f1e8e8;
}

#join_input:focus {
  border-top-width: 0.2em;
  background-color: #f1e8e8;
}
#join_button_container {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;

  float: left;
}
#join_button {
  --bg: #030303;
  --hover-bg: darkcyan;
  --hover-text: #000;
  color: #fff;
  cursor: pointer;
  border: 1px solid var(--bg);
  border-radius: 4px;
  padding: 0.8em 2em;
  background: var(--bg);
  transition: 0.2s;
}
#join_button:hover {
  color: var(--hover-text);
  transform: translate(-0.25rem, -0.25rem);
  background: var(--hover-bg);
  box-shadow: 0.25rem 0.25rem var(--bg);
}
#join_button:active {
  transform: translate(0);
  box-shadow: none;
}

#chat_container {
  width: 100%;
  height: 60vh;
  float: center;
  margin-bottom: 30px;

  display: flex;
  justify-content: center;
  size: 20px;
  animation: fadeIn 1s linear;
}
#chat_inner_container {
  width: 60%;
  height: 100%;
}
#chat_content_container {
  width: 100%;
  height: 90%;
  padding-top: 0px;
  float: left;
  overflow-y: auto;
  font-family: Varela Round;

  padding-left: 15px;
  padding-right: 15px;
}
#chat_input_container {
  width: 100%;
  height: 10%;

  float: left;
  border-bottom: 2px dashed #1d3354;
  background-color: Transparent;

  padding-left: 15px;
  padding-right: 15px;
  font-family: Varela Round;
  margin-top: 10px;
}
#chat_input {
  width: 95%;
  height: 100%;
  float: left;
  background-color: Transparent;
  color: white;
  font-size: 15px;
}
#chat_input_send {
  width: 5%;
  height: 100%;
  float: left;
  font-size: 14px;
  background-color: transparent;
  text-align: center;
  color: #696969;
  border: none;
}
#chat_input_send.enabled {
  color: rgb(250, 250, 250);
  background-color: Transparent;

  cursor: pointer;
}
#chat_logout_container {
  width: 100%;
  display: inline-block;

  display: flex;
  justify-content: center;
  align-items: center;

  margin-top: 20px;
}
#chat_logout {
  padding: 0.6em 1em;
  border: 4px solid #fa725a;
  transition: ease-in-out 0.3s;
  background-color: transparent;
  color: #fa725a;
  font-weight: bolder;
  font-size: 16px;
}

#chat_logout:hover {
  background-color: #fa725a;
  color: white;
}
.message_container {
  width: 100%;
  display: inline-block;
  margin-bottom: 30px;
}
.message_inner_container {
  width: 100%;
  display: inline-block;
  color: white;
}
.message_user_container {
  width: 100%;
  display: inline-block;
}
.message_user {
  font-family: fantasy;
  font-size: 30px;
}
.message_content_container {
  width: 100%;
  display: inline-block;

  white-space: pre-wrap;
  word-wrap: break-word;
}
.message_content {
  font-weight: normal;
  font-size: 14px;
  margin-top: 5px;
}

.enabled {
  transition: background-color 0.5s;
  color: #fff;
  background-color: darkblue;
  cursor: pointer;
}
#title_container.chat_title_container {
  transition: 0.8s;
  transition-timing-function: ease-in-out;
  height: 100px;
}
#title.chat_title {
  transition: 0.8s;
  font-size: 47px;
}
.loader_container {
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
}
.loader {
  fill: none;
  stroke-width: 3;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.loader#back {
  fill: none;
  stroke: #ff4d5033;
}

.loader#front {
  fill: none;
  stroke: #ff4d4f;
  stroke-dasharray: 48, 144;
  stroke-dashoffset: 192;
  animation: dash_682 1.4s linear infinite;
}

@keyframes dash_682 {
  72.5% {
    opacity: 0;
  }

  to {
    stroke-dashoffset: 0;
  }
}

::selection {
  background-color: black;
  color: #fff;
}
/* width */
::-webkit-scrollbar {
  width: 6px;
}
/* Track */
/* Handle */
::-webkit-scrollbar-thumb {
  background: black;
  border-radius: 5px;
}
